package:
  name: sam_spaghetti
  version: {{ environ.get('GIT_DESCRIBE_TAG', 'default') }}

source:
  git_url: https://gitlab.inria.fr/mosaic/publications/sam_spaghetti.git
  git_tag: develop

build:
  number: {{ GIT_DESCRIBE_NUMBER }}
  preserve_egg_dir: True

requirements:
  build:
    - setuptools
    - python >=3.6,<3.8
  host:
    - python >=3.6,<3.8
  run:
    - python >=3.6,<3.8
    - jupyter
    - numpy
    - scipy
    - pandas
    - vtk
    - matplotlib
    - timagetk=2
    - cellcomplex
    - tissue_analysis
    - tissue_nukem_3d
    - tissue_paredes
    - sam_atlas

about:
  home: http://mosaic.gitlabpages.inria.fr/sam_spaghetti
  license: Cecill License